## javax.faces.application
Class ViewHandler

    java.lang.Object
      javax.faces.application.ViewHandler

public abstract class ViewHandler
extends java.lang.Object

Version:
  $Revision: 209348 $ $Date: 2005-07-05 19:17:19 -0400 (Tue, 05 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `CHARACTER_ENCODING_KEY`
`static java.lang.String` `DEFAULT_SUFFIX`
`static java.lang.String` `DEFAULT_SUFFIX_PARAM_NAME`

Constructor Summary
`ViewHandler()`

Method Summary
`abstract java.util.Locale` `calculateLocale(FacesContext context)`
`abstract java.lang.String` `calculateRenderKitId(FacesContext context)`
`abstract UIViewRoot` `createView(FacesContext context, java.lang.String viewId)`
`abstract java.lang.String` `getActionURL(FacesContext context, java.lang.String viewId)`
`abstract java.lang.String` `getResourceURL(FacesContext context, java.lang.String path)`
`abstract void` `renderView(FacesContext context, UIViewRoot viewToRender)`
`abstract UIViewRoot` `restoreView(FacesContext context, java.lang.String viewId)`
`abstract void` `writeState(FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARACTER_ENCODING_KEY

    public static final java.lang.String CHARACTER_ENCODING_KEY

See Also:
  Constant Field Values

### DEFAULT_SUFFIX_PARAM_NAME

    public static final java.lang.String DEFAULT_SUFFIX_PARAM_NAME

See Also:
  Constant Field Values

### DEFAULT_SUFFIX

    public static final java.lang.String DEFAULT_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### ViewHandler

    public ViewHandler()

Method Detail

### calculateLocale

    public abstract java.util.Locale calculateLocale(FacesContext context)

### calculateRenderKitId

    public abstract java.lang.String calculateRenderKitId(FacesContext context)

### createView

    public abstract UIViewRoot createView(FacesContext context,
                                          java.lang.String viewId)

### getActionURL

    public abstract java.lang.String getActionURL(FacesContext context,
                                                  java.lang.String viewId)

### getResourceURL

    public abstract java.lang.String getResourceURL(FacesContext context,
                                                    java.lang.String path)

### renderView

    public abstract void renderView(FacesContext context,
                                    UIViewRoot viewToRender)
                             throws java.io.IOException,
                                    FacesException

  Throws:
    `java.io.IOException`
    `FacesException`

### restoreView

    public abstract UIViewRoot restoreView(FacesContext context,
                                           java.lang.String viewId)

### writeState

    public abstract void writeState(FacesContext context)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`